CREATE TABLE IF NOT EXISTS `{#}customtabs` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ordering` int(11) DEFAULT NULL,
  `ctype` varchar(24) DEFAULT NULL,
  `ctype_id` int(11) unsigned DEFAULT NULL,
  `name` varchar(11) DEFAULT NULL,
  `title` varchar(128) DEFAULT NULL,
  `target_ctype` int(11) DEFAULT NULL,
  `target_category` int(11) DEFAULT NULL,
  `target_dataset` int(11) DEFAULT NULL,
  `target_value` text,
  `perpage` int(11) DEFAULT NULL,
  `list_style` varchar(24) DEFAULT NULL,
  `target_id` int(11) DEFAULT NULL,
  `fields` text,
  `before_tab` text,
  `after_tab` text,
  PRIMARY KEY (`id`),
  KEY `user_id` (`name`,`ctype_id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

CREATE TABLE IF NOT EXISTS `{#}customtabs_fields` (
  `id` int(11) unsigned NOT NULL AUTO_INCREMENT,
  `ctype` varchar(24) DEFAULT NULL,
  `ctype_id` int(11) unsigned DEFAULT NULL,
  `before_tab` text,
  `after_tab` text,
  PRIMARY KEY (`id`)
) ENGINE=MyISAM  DEFAULT CHARSET=utf8;

INSERT INTO `{#}controllers` (`title`, `name`, `is_enabled`, `options`, `author`, `url`, `version`, `is_backend`, `is_external`) VALUES
('Вкладки', 'customtabs', 1, '---\nlic_key:\n', 'Alex Malinsky', 'http://codeplace.ru', '1.0', 1, NULL);