<?php

class actionCustomtabsTabsAjax extends cmsAction {

    public function run($ctype = false){
		
	if (!$this->request->isAjax()) { cmsCore::error404(); }
	if(!$ctype) { cmsCore::error404(); }
	
    $grid = $this->loadDataGrid('tabs');
	$filter = array();
    $filter_str = $this->request->get('filter', '');

    if ($filter_str){
    	parse_str($filter_str, $filter);
        $this->model->applyGridFilter($grid, $filter);
    }
	
	if($ctype == 'all'){
		$tabs = $this->model->get('customtabs');		
	} else {
		$tabs = $this->model->filterEqual('ctype', $ctype)->get('customtabs');		
	}

	$this->cms_template->renderGridRowsJSON($grid, $tabs);
  
    }

}