<?php

class formCustomtabsPageTab extends cmsForm {

    public $is_tabbed = false;

    public function init($ctype = false, $fields_list = false, $target_ctype = false) {

        return array(

            array(
                'type' => 'fieldset',
                'title' => 'Создание вкладок',
                'childs' => array(

					new fieldString('title', array(
                        'title' => LANG_CTABS_TAB_TITLE,
						'rules' => array(
							array('required')
						)						
                    )),	
					
                    new fieldList('target_ctype', array(
                        'title' => LANG_CONTENT_TYPE,
						'rules' => array(
                            array('required')
                        ),
                        'generator' => function($item) {

                            $model = cmsCore::getModel('content');
                            $tree = $model->getContentTypes();

                            $items = array();

                            if ($tree) {
                                foreach ($tree as $item) {
                                    $items[$item['id']] = $item['title'];
                                }
                            }

                            return $items;

                        },
                    )),
					
					
                    new fieldNumber('target_id', array(
						'title' => LANG_CTABS_TARGET_ID,
                        'rules' => array(
                            array('required')
                        )
                    )),
					

	                new fieldHidden('ctype_id'),				
					new fieldHidden('ctype')						

                )
            ),


        );

    }

}
