<?php

function grid_tabs($controller){

    $options = array(
        'is_sortable' => true,
        'is_filter' => false,
        'is_pagination' => false,
        'is_draggable' => true,
        'order_by' => 'ordering',
        'order_to' => 'asc',
        'show_id' => true
    );

    $columns = array(
        'id' => array(
            'title' => 'id',
            'width' => 50,
        ),
        'title' => array(
            'title' => LANG_CTABS_TITLE,
			'href' => href_to($controller->root_url, 'edit', array('{ctype}', '{id}')),
        ),	
        'ctype' => array(
            'title' => LANG_CTABS_CTYPE,
            'width' => 180,
        ),
			'name' => array(
            'title' => LANG_CTABS_TAB_TYPE,
            'width' => 180,
        ),	

    );

   $actions = array(
        array(
            'title' => LANG_EDIT,
            'class' => 'edit',
            'href' => href_to($controller->root_url, 'edit', array('{ctype}', '{id}')),
        ),
        array(
            'title' => LANG_DELETE,
            'class' => 'delete',
            'href' => href_to($controller->root_url, 'delete', array('{id}')),
            'confirm' => LANG_CTABS_DELETE_TAB,
        )
    );

    return array(
        'options' => $options,
        'columns' => $columns,
        'actions' => $actions
    );

}

