<?php

class actionCustomtabsAddserv extends cmsAction {

    public function run($ctype = false, $name = false){

        if (!$ctype) { cmsCore::error404(); }	
		
		$tab = false;	

		if($name)	{
			$tab = $this->model->filterEqual('name', $name)->getItem('customtabs');			
			$tab['fields'] = cmsModel::yamlToArray($tab['fields']);				
		}
		$form = $this->getForm('serv_tab', array('ctype' => $ctype, 'name' => $name));
		
		$content_model = cmsCore::getModel('content');
		$ct = $content_model->getContentTypeByName($ctype);	
		$tab['ctype_id'] = $ct['id'];
		$tab['ctype'] = $ctype;	
		
        $is_submitted = $this->request->has('submit');
        if ($is_submitted){

            $tab = $form->parse($this->request, $is_submitted);
            $errors = $form->validate($this, $tab);

            if (!$errors){
				$tab['name'] = $name;		
				if($tab['id']) $this->model->update('customtabs', $id, $tab);
				if(!$tab['id']) $this->model->insert('customtabs', $tab);				

                $this->redirectToAction('index/'.$ctype);

            }

        }

        return cmsTemplate::getInstance()->render('backend/edit', array(
			'do' => 'edit',
            'form' => $form,			
            'tab' => $tab,				
            'errors' => isset($errors) ? $errors : false
        ));

    }

}